// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__909DF588_30C9_4CC1_B203_572D8AB68E85__INCLUDED_)
#define AFX_CHILDVIEW_H__909DF588_30C9_4CC1_B203_572D8AB68E85__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();

private:
	CString m_Input;
	CString lastsearch;
	CString m_Output;
	CComboBox InputArea;
	CEdit OutputArea;
	int inputType;		// 0 = roman, 1 = kana, 2 = kanji
	bool initSearch(bool r);
	CFont font;

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnVerb();
	afx_msg void OnKanji();
	afx_msg void OnMaindict();
	afx_msg void OnAltdict();
	afx_msg void OnEditCopy();
	afx_msg void OnEditCut();
	afx_msg void OnEditPaste();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSearchresults();
	afx_msg void OnDictionaries();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__909DF588_30C9_4CC1_B203_572D8AB68E85__INCLUDED_)
